Cordova Android 9 and Cordova Intercom 9.1

I am having an urgent issue with cordova 10, cordova-android 9 and cordova-intercom 9.1. Whenever I try to activate Push with e.g. “FCM” in the config.xml, the following errors occur.

The error is in intercom.gradle, around line 46. I think it is an old syntax to call like that tasks.copyGoogleServices.execute() . Removing these lines and using ‘fcm-without-build-plugin’ resolves it for me. So there is also an issue with this line apply plugin: com.google.gms.googleservices.GoogleServicesPlugin

Errors:

1: Task failed with an exception.
-----------
* Where:
Script '/Users/vandres/Resourcen/www/ctmapp/platforms/android/cordova-plugin-intercom/capetownMarathon-intercom.gradle' line: 49

* What went wrong:
A problem occurred evaluating script.
> Could not find method execute() for arguments [] on task ':app:copyGoogleServices' of type org.gradle.api.tasks.Copy.


2: Task failed with an exception.
-----------
* What went wrong:
A problem occurred configuring project ':app'.
> compileSdkVersion is not specified. Please add it to build.gradle